Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 3180)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 3181)
@@ -1373,5 +1373,5 @@
         info = importer.info
         data_keys = importer.data_keys
-        csv_keys = importer.csv_keys 
+        csv_keys = importer.csv_keys
         #csv_keys.extend(info.keys())
         headline_mapping = dict((k,k) for k in csv_keys)
@@ -1449,5 +1449,5 @@
         items = [item for item in reader]
         total_to_import = len(items)
-        tti_float = float(total_to_import) 
+        tti_float = float(total_to_import)
         if pending_only:
             pending_at_start = total_to_import
@@ -1494,5 +1494,5 @@
                 error = results[1]
                 mapping = results[2]
-            data_string = ",".join("%s : %s" % (k,v) for k,v in mapping.items())
+            data_string = ", ".join("%s: %s" % (k,v) for k,v in mapping.items())
             info['error'] = error
             mapping.update(info)
@@ -1506,5 +1506,5 @@
                     pending.append(mapping)
                     if not pending_only:
-                        log_list += "added to %(pending_fn)s %(data_string)s" % vars(),
+                        log_list += "record added to %(pending_fn)s, %(data_string)s" % vars(),
                         #logger.info("%(percent_finished)6.3f %% done added to %(pending_fn)s %(data_string)s" % vars())
                 else:
@@ -1515,5 +1515,5 @@
                 imported_count += 1
                 imported += mapping,
-                log_list += "imported and added to  %(imported_fn)s %(data_string)s" % vars(),
+                log_list += "record imported and added to %(imported_fn)s, %(data_string)s" % vars(),
                 #percent_finished = (with_error_count + imported_count)/tti_float*100
                 #logger.info("%(percent_finished)6.3f %% done imported and added to  %(imported_fn)s %(data_string)s" % vars())
@@ -1521,5 +1521,5 @@
                 time_till_now = time.time() - elapse
                 percent_finished = (with_error_count + imported_count)/tti_float*100
-                log_list.insert(0,("%(percent_finished)6.3f %% done in %(time_till_now)3.2f secs" % vars()),)
+                log_list.insert(0,("%(percent_finished)6.3f %% done in %(time_till_now)3.2fs," % vars()),)
                 logger.info(' '.join(log_list))
             finished = count > total_to_import - 1
@@ -1529,5 +1529,5 @@
                     must_commit = True
                     old_commit_count = len(imported)
-                    
+
             if must_commit or finished:
                 if len(imported):
@@ -1556,13 +1556,13 @@
         elapse = time.time() - elapse
         copy2(pending_tmp,pending_path)
-        msg = "Finished importing in %(mode)s mode from %(import_source_fn)s in %(elapse)6.2f seconds: " % vars()
-        msg += "read = %(count)d; %(imported_fn)s: added = %(total_added_to_imported)d; " % vars()
+        msg = "finished importing in %(mode)s mode from %(import_source_fn)s in %(elapse)6.2f seconds, " % vars()
+        msg += "%(count)d records totally read, %(total_added_to_imported)d added to %(imported_fn)s, " % vars()
         if pending_only:
             removed_pending = pending_at_start - total_pending
-            msg += "%(pending_fn)s: removed = %(removed_pending)d, " % vars()
+            msg += "%(removed_pending)d removed from %(pending_fn)s, " % vars()
         else:
-            added_pending = total_pending - pending_at_start 
-            msg += "%(pending_fn)s: added = %(added_pending)d, already in = %(already_in)s, " % vars()
-        msg += " total %(total_pending)d; " % vars()
+            added_pending = total_pending - pending_at_start
+            msg += "%(added_pending)d added to %(pending_fn)s, %(already_in)s already in %(pending_fn)s" % vars()
+        #msg += "%(total_pending)d totally written" % vars()    # this line does not make any sense
         logger.info(msg)
         os.remove(pending_tmp)