Index: /WAeUP_SRP/uniben/profiles/default/layouts/import.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import.xml	(revision 3192)
@@ -40,8 +40,4 @@
    <cell name="name"/>
   </row>
-  <row>
-   <cell name="mode"/>
-  </row>
  </table>
-
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml	(revision 3192)
@@ -149,41 +149,3 @@
   <property name="vocabulary">levels</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="department_code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="start_level"/>
-  </row>
-  <row>
-   <cell name="end_level"/>
-  </row>
-  <row>
-   <cell name="max_pass"/>
-  </row>
-  <row>
-   <cell name="max_load"/>
-  </row>
-  <row>
-   <cell name="promotion_credits"/>
-  </row>
-  <row>
-   <cell name="probation_credits"/>
-  </row>
-  <row>
-   <cell name="admin_status"/>
-  </row>
-  <row>
-   <cell name="category"/>
-  </row>
-  <row>
-   <cell name="nr_years"/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate_course.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate_course.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate_course.xml	(revision 3192)
@@ -88,14 +88,3 @@
   <property name="label_true">core</property>
  </widget>
- <table>
-  <row>
-   <cell name="Title"/>
-  </row>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="core_or_elective"/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_course.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_course.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_course.xml	(revision 3192)
@@ -106,24 +106,4 @@
   <property name="display_width">60</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="level"/>
-  </row>
-  <row>
-   <cell name="semester"/>
-  </row>
-  <row>
-   <cell name="credits"/>
-  </row>
-  <row>
-   <cell name="passmark"/>
-  </row>
- </table>
 </object>
 
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_course_result.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_course_result.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_course_result.xml	(revision 3192)
@@ -165,7 +165,4 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-
-  <table>
- </table>
 </object>
 
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_department.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_department.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_department.xml	(revision 3192)
@@ -70,20 +70,3 @@
   <property name="vocabulary">institution_types_voc</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title_prefix"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="faculty_code"/>
-  </row>
-  <row>
-   <cell name=""/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml	(revision 3192)
@@ -60,14 +60,3 @@
   <property name="vocabulary">institution_types_voc</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="title_prefix"/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_verdict.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_verdict.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_verdict.xml	(revision 3192)
@@ -88,17 +88,3 @@
     <property name="sorted">True</property>
   </widget>
-  <table>
-    <row>
-      <cell name="student_id"/>
-    </row>
-    <row>
-      <cell name="matric_no"/>
-    </row>
-    <row>
-      <cell name="current_session"/>
-    </row>
-    <row>
-      <cell name="verdict"/>
-    </row>
-  </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml	(revision 3192)
@@ -3,4 +3,5 @@
 <object name="import_student" meta_type="CPS Schema">
  <field name="id" meta_type="CPS String Field"/>
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="reg_transition" meta_type="CPS String Field"/>
  <field name="firstname" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 3191)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 3192)
@@ -7,12 +7,11 @@
  <property name="acl_write_roles">Manager</property>
  <item key="student" msgid="">Student Data</item>
- <item key="verdict" msgid="">Verdicts + Return</item>
+ <item key="verdict" msgid="">Verdicts + WT Return</item>
+ <item key="course_result" msgid="">Course Result Data</item>
+ <item key="application" msgid="">Application Data</item>
  <item key="faculty" msgid="">Faculty Data</item>
  <item key="department" msgid="">Department Data</item>
  <item key="course" msgid="">Course Data</item>
- <item key="course_result" msgid="">Course Result Data</item>
  <item key="certificate" msgid="">Certificate Data</item>
  <item key="certificate_course" msgid="">Certificate Course Data</item>
- <item key="application" msgid="">Application Data</item>
- <item key="pending" msgid="">Pending Data</item> 
 </object>