Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import.xml	(revision 3193)
@@ -33,17 +33,4 @@
   <property name="vocabulary">import_names</property>
  </widget>
- <widget name="mode" meta_type="Select Widget">
-  <property name="title">Import Mode</property>
-  <property name="fields">
-   <element value="mode"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Import Mode</property>
-  <property name="label_edit">Import Mode</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">import_modes</property>
- </widget> 
  <table>
   <row>
@@ -53,8 +40,4 @@
    <cell name="name"/>
   </row>
-  <row>
-   <cell name="mode"/>
-  </row>
  </table>
-
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 3193)
@@ -9,4 +9,17 @@
   <property name="validate_values_expr"></property>
 
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
   <widget name="student_id" meta_type="String Widget">
     <property name="title">Student Id</property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml	(revision 3193)
@@ -8,4 +8,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
  <widget name="title" meta_type="String Widget">
   <property name="fields">
@@ -136,41 +149,3 @@
   <property name="vocabulary">levels</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="department_code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="start_level"/>
-  </row>
-  <row>
-   <cell name="end_level"/>
-  </row>
-  <row>
-   <cell name="max_pass"/>
-  </row>
-  <row>
-   <cell name="max_load"/>
-  </row>
-  <row>
-   <cell name="promotion_credits"/>
-  </row>
-  <row>
-   <cell name="probation_credits"/>
-  </row>
-  <row>
-   <cell name="admin_status"/>
-  </row>
-  <row>
-   <cell name="category"/>
-  </row>
-  <row>
-   <cell name="nr_years"/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate_course.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate_course.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate_course.xml	(revision 3193)
@@ -8,4 +8,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
  <widget name="Title" meta_type="String Widget">
   <property name="title">Title</property>
@@ -75,14 +88,3 @@
   <property name="label_true">core</property>
  </widget>
- <table>
-  <row>
-   <cell name="Title"/>
-  </row>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="core_or_elective"/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_course.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_course.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_course.xml	(revision 3193)
@@ -8,4 +8,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
 <widget name="code" meta_type="WAeUPId Widget">
  <property name="title">Course Id</property>
@@ -93,24 +106,4 @@
   <property name="display_width">60</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="level"/>
-  </row>
-  <row>
-   <cell name="semester"/>
-  </row>
-  <row>
-   <cell name="credits"/>
-  </row>
-  <row>
-   <cell name="passmark"/>
-  </row>
- </table>
 </object>
 
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_course_result.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_course_result.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_course_result.xml	(revision 3193)
@@ -8,4 +8,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
   <widget name="student_id" meta_type="String Widget">
     <property name="title">Student Id</property>
@@ -152,7 +165,4 @@
     <property name="hidden_readonly_layout_modes"/>
   </widget>
-
-  <table>
- </table>
 </object>
 
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_department.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_department.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_department.xml	(revision 3193)
@@ -8,4 +8,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
  <widget name="code" meta_type="WAeUPId Widget">
   <property name="title">Department Code</property>
@@ -57,20 +70,3 @@
   <property name="vocabulary">institution_types_voc</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title_prefix"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="faculty_code"/>
-  </row>
-  <row>
-   <cell name=""/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_faculty.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_faculty.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_faculty.xml	(revision 3193)
@@ -8,5 +8,18 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
  <widget name="title" meta_type="String Widget">
+  <property name="title">Import Mode</property>
   <property name="fields">
    <element value="title"/>
@@ -47,14 +60,3 @@
   <property name="vocabulary">institution_types_voc</property>
  </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="title_prefix"/>
-  </row>
- </table>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_student.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_student.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_student.xml	(revision 3193)
@@ -8,5 +8,17 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
  <widget name="id" meta_type="String Widget">
   <property name="title">Id</property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml	(revision 3193)
@@ -8,4 +8,17 @@
   <property name="flexible_widgets"/>
   <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
   <widget name="id" meta_type="String Widget">
     <property name="title">Id</property>
@@ -75,17 +88,3 @@
     <property name="sorted">True</property>
   </widget>
-  <table>
-    <row>
-      <cell name="student_id"/>
-    </row>
-    <row>
-      <cell name="matric_no"/>
-    </row>
-    <row>
-      <cell name="current_session"/>
-    </row>
-    <row>
-      <cell name="verdict"/>
-    </row>
-  </table>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import.xml	(revision 3193)
@@ -3,4 +3,3 @@
  <field name="filename" meta_type="CPS String Field"/>
  <field name="name" meta_type="CPS String Field"/>
- <field name="import_or_edit" meta_type="CPS Boolean Field"/>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_application.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_application.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="import_application" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="course1" meta_type="CPS String Field"/>
  <field name="course2" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="certificate" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="title" meta_type="CPS String Field"/>
  <field name="admin_status" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate_course.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate_course.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate_course.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="certificate_course" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field" />
  <field name="certificate_code" meta_type="CPS String Field" />
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_course.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_course.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_course.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="course" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="title" meta_type="CPS String Field"/>
  <field name="department_code" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_course_result.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_course_result.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_course_result.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="course_result" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="student_id" meta_type="CPS String Field"/>
  <field name="matric_no" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_department.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_department.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_department.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="import_department" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field"/>
  <field name="faculty_code" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_faculty.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_faculty.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_faculty.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="import_faculty" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field"/>
  <field name="title" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_student.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_student.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_student.xml	(revision 3193)
@@ -3,4 +3,5 @@
 <object name="import_student" meta_type="CPS Schema">
  <field name="id" meta_type="CPS String Field"/>
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="reg_transition" meta_type="CPS String Field"/>
  <field name="firstname" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_verdict.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_verdict.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_verdict.xml	(revision 3193)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="import_verdict" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
  <field name="id" meta_type="CPS String Field"/>
  <field name="matric_no" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 3192)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 3193)
@@ -7,12 +7,11 @@
  <property name="acl_write_roles">Manager</property>
  <item key="student" msgid="">Student Data</item>
- <item key="verdict" msgid="">Verdicts & Return</item>
+ <item key="verdict" msgid="">Verdicts + WT Return</item>
+ <item key="course_result" msgid="">Course Result Data</item>
+ <item key="application" msgid="">Application Data</item>
  <item key="faculty" msgid="">Faculty Data</item>
  <item key="department" msgid="">Department Data</item>
  <item key="course" msgid="">Course Data</item>
- <item key="course_result" msgid="">Course Result Data</item>
  <item key="certificate" msgid="">Certificate Data</item>
  <item key="certificate_course" msgid="">Certificate Course Data</item>
- <item key="application" msgid="">Application Data</item>
- <item key="pending" msgid="">Pending Data</item> 
 </object>