Index: WAeUP_Doc/Makefile
===================================================================
--- WAeUP_Doc/Makefile	(revision 3216)
+++ 	(revision )
@@ -1,14 +1,0 @@
-
-# keep .html files up to date (requires GNU make):
-
-
-SOURCES=$(wildcard *.rst)
-TARGETS=$(subst .rst,.html, $(SOURCES))
-
-
-all: ${TARGETS}
-
-
-%.html: %.rst
-	python rst2html.py $< > $@
-
Index: WAeUP_Doc/NewDocumentation/ImportNew.html
===================================================================
--- WAeUP_Doc/NewDocumentation/ImportNew.html	(revision 3217)
+++ WAeUP_Doc/NewDocumentation/ImportNew.html	(revision 3217)
@@ -0,0 +1,329 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
+<title>Import of massdata into the portal</title>
+<style type="text/css">
+
+/*
+:Author: David Goodger
+:Contact: goodger@users.sourceforge.net
+:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
+:Revision: $Revision: 4224 $
+:Copyright: This stylesheet has been placed in the public domain.
+
+Default cascading style sheet for the HTML output of Docutils.
+
+See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
+customize this style sheet.
+*/
+
+/* used to remove borders from tables and images */
+.borderless, table.borderless td, table.borderless th {
+  border: 0 }
+
+table.borderless td, table.borderless th {
+  /* Override padding for "table.docutils td" with "! important".
+     The right padding separates the table cells. */
+  padding: 0 0.5em 0 0 ! important }
+
+.first {
+  /* Override more specific margin styles with "! important". */
+  margin-top: 0 ! important }
+
+.last, .with-subtitle {
+  margin-bottom: 0 ! important }
+
+.hidden {
+  display: none }
+
+a.toc-backref {
+  text-decoration: none ;
+  color: black }
+
+blockquote.epigraph {
+  margin: 2em 5em ; }
+
+dl.docutils dd {
+  margin-bottom: 0.5em }
+
+/* Uncomment (and remove this text!) to get bold-faced definition list terms
+dl.docutils dt {
+  font-weight: bold }
+*/
+
+div.abstract {
+  margin: 2em 5em }
+
+div.abstract p.topic-title {
+  font-weight: bold ;
+  text-align: center }
+
+div.admonition, div.attention, div.caution, div.danger, div.error,
+div.hint, div.important, div.note, div.tip, div.warning {
+  margin: 2em ;
+  border: medium outset ;
+  padding: 1em }
+
+div.admonition p.admonition-title, div.hint p.admonition-title,
+div.important p.admonition-title, div.note p.admonition-title,
+div.tip p.admonition-title {
+  font-weight: bold ;
+  font-family: sans-serif }
+
+div.attention p.admonition-title, div.caution p.admonition-title,
+div.danger p.admonition-title, div.error p.admonition-title,
+div.warning p.admonition-title {
+  color: red ;
+  font-weight: bold ;
+  font-family: sans-serif }
+
+/* Uncomment (and remove this text!) to get reduced vertical space in
+   compound paragraphs.
+div.compound .compound-first, div.compound .compound-middle {
+  margin-bottom: 0.5em }
+
+div.compound .compound-last, div.compound .compound-middle {
+  margin-top: 0.5em }
+*/
+
+div.dedication {
+  margin: 2em 5em ;
+  text-align: center ;
+  font-style: italic }
+
+div.dedication p.topic-title {
+  font-weight: bold ;
+  font-style: normal }
+
+div.figure {
+  margin-left: 2em ;
+  margin-right: 2em }
+
+div.footer, div.header {
+  clear: both;
+  font-size: smaller }
+
+div.line-block {
+  display: block ;
+  margin-top: 1em ;
+  margin-bottom: 1em }
+
+div.line-block div.line-block {
+  margin-top: 0 ;
+  margin-bottom: 0 ;
+  margin-left: 1.5em }
+
+div.sidebar {
+  margin-left: 1em ;
+  border: medium outset ;
+  padding: 1em ;
+  background-color: #ffffee ;
+  width: 40% ;
+  float: right ;
+  clear: right }
+
+div.sidebar p.rubric {
+  font-family: sans-serif ;
+  font-size: medium }
+
+div.system-messages {
+  margin: 5em }
+
+div.system-messages h1 {
+  color: red }
+
+div.system-message {
+  border: medium outset ;
+  padding: 1em }
+
+div.system-message p.system-message-title {
+  color: red ;
+  font-weight: bold }
+
+div.topic {
+  margin: 2em }
+
+h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
+h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
+  margin-top: 0.4em }
+
+h1.title {
+  text-align: center }
+
+h2.subtitle {
+  text-align: center }
+
+hr.docutils {
+  width: 75% }
+
+img.align-left {
+  clear: left }
+
+img.align-right {
+  clear: right }
+
+ol.simple, ul.simple {
+  margin-bottom: 1em }
+
+ol.arabic {
+  list-style: decimal }
+
+ol.loweralpha {
+  list-style: lower-alpha }
+
+ol.upperalpha {
+  list-style: upper-alpha }
+
+ol.lowerroman {
+  list-style: lower-roman }
+
+ol.upperroman {
+  list-style: upper-roman }
+
+p.attribution {
+  text-align: right ;
+  margin-left: 50% }
+
+p.caption {
+  font-style: italic }
+
+p.credits {
+  font-style: italic ;
+  font-size: smaller }
+
+p.label {
+  white-space: nowrap }
+
+p.rubric {
+  font-weight: bold ;
+  font-size: larger ;
+  color: maroon ;
+  text-align: center }
+
+p.sidebar-title {
+  font-family: sans-serif ;
+  font-weight: bold ;
+  font-size: larger }
+
+p.sidebar-subtitle {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+p.topic-title {
+  font-weight: bold }
+
+pre.address {
+  margin-bottom: 0 ;
+  margin-top: 0 ;
+  font-family: serif ;
+  font-size: 100% }
+
+pre.literal-block, pre.doctest-block {
+  margin-left: 2em ;
+  margin-right: 2em ;
+  background-color: #eeeeee }
+
+span.classifier {
+  font-family: sans-serif ;
+  font-style: oblique }
+
+span.classifier-delimiter {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+span.interpreted {
+  font-family: sans-serif }
+
+span.option {
+  white-space: nowrap }
+
+span.pre {
+  white-space: pre }
+
+span.problematic {
+  color: red }
+
+span.section-subtitle {
+  /* font-size relative to parent (h1..h6 element) */
+  font-size: 80% }
+
+table.citation {
+  border-left: solid 1px gray;
+  margin-left: 1px }
+
+table.docinfo {
+  margin: 2em 4em }
+
+table.docutils {
+  margin-top: 0.5em ;
+  margin-bottom: 0.5em }
+
+table.footnote {
+  border-left: solid 1px black;
+  margin-left: 1px }
+
+table.docutils td, table.docutils th,
+table.docinfo td, table.docinfo th {
+  padding-left: 0.5em ;
+  padding-right: 0.5em ;
+  vertical-align: top }
+
+table.docutils th.field-name, table.docinfo th.docinfo-name {
+  font-weight: bold ;
+  text-align: left ;
+  white-space: nowrap ;
+  padding-left: 0 }
+
+h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
+h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
+  font-size: 100% }
+
+tt.docutils {
+  background-color: #eeeeee }
+
+ul.auto-toc {
+  list-style-type: none }
+
+</style>
+</head>
+<body>
+<div class="document" id="import-of-massdata-into-the-portal">
+<h1 class="title">Import of massdata into the portal</h1>
+<h2 class="subtitle" id="general-procedure">General procedure</h2>
+<p>A record is read from the input-source-file and the data is checked. If the
+record can be imported, it is <strong>appended</strong> to the file XXX_imported.csv,
+otherwise it is <strong>inserted</strong> into the file XXX_pending.csv, if no record
+with the exact same date already exists in the XXX_pending.csv. The check is
+done by comparing the md5-digests of the new record with the existing records.</p>
+<p>When doing the import in pending-only-mode the XXX_pending.csv is taken as
+input-source-file and if a record can now be imported it is appended to the
+XXX_imported.csv file and removed from XXX_pending.csv.</p>
+<p><strong>Caveat</strong>:</p>
+<blockquote>
+if an record is inserted into XXX_pending, it will only be removed by
+importing in pending-only-mode. If a new input-file contains a record for
+the same object, with different data, that will not be detected at the
+moment.</blockquote>
+<p>The XXX_imported.csv and XXX_pending file has these columns added:</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">imported_by:</th><td class="field-body">the member who did the import</td>
+</tr>
+<tr class="field"><th class="field-name">import_mode:</th><td class="field-body">edit, create, delete</td>
+</tr>
+<tr class="field"><th class="field-name">import_date:</th><td class="field-body">the date and time of the import</td>
+</tr>
+<tr class="field"><th class="field-name">imported_from:</th><td class="field-body">the filename of the input-source-file</td>
+</tr>
+<tr class="field"><th class="field-name">error:</th><td class="field-body">the error message (empty in XXX_imported)</td>
+</tr>
+</tbody>
+</table>
+</div>
+</body>
+</html>
Index: WAeUP_Doc/NewDocumentation/ImportNew.txt
===================================================================
--- WAeUP_Doc/NewDocumentation/ImportNew.txt	(revision 3216)
+++ WAeUP_Doc/NewDocumentation/ImportNew.txt	(revision 3217)
@@ -1,46 +1,16 @@
+================================== 
+Import of data into the portal 
 ==================================
-Import of massdata into the portal
-==================================
-General procedure
+
+General procedure 
 ----------------------------------
 
-A record is read from the input-source-file and the data is checked. If the
-record can be imported, it is **appended** to the file XXX_imported.csv,
-otherwise it is **inserted** into the file XXX_pending.csv, if no record
-with the exact same date already exists in the XXX_pending.csv. The check is
-done by comparing the md5-digests of the new record with the existing records.
+A record is read from the input source file located in the import folder of the Zope instance. The data format is validated against the import data layout selected. If the record can be imported, it is **appended** to the file [layout]_imported.csv (in the same folder), otherwise it is **inserted** into the file [layout]_pending.csv, if no record with exactly the same data already exists. Technically speaking, the md5-digests of the new record is being compared with the existing records.
 
-When doing the import in pending-only-mode the XXX_pending.csv is taken as
-input-source-file and if a record can now be imported it is appended to the
-XXX_imported.csv file and removed from XXX_pending.csv.
+The report files have five additional columns: import_mode, imported_by (the member who did the import), import_date, import_from (input source file name) and error (error message). The pending file can be edited and re-imported by selecting 'pending data only'.
 
-**Caveat**:
+There following import modes are recognized: edit, create and remove. The latter deletes the whole record. This mode is available for course results only.
 
-  if an record is inserted into XXX_pending, it will only be removed by
-  importing in pending-only-mode. If a new input-file contains a record for
-  the same object, with different data, that will not be detected at the
-  moment.
+Single fields can be cleared in edit mode by inserting 'XXX' in the respective field. Empty fields are ignored. 
 
-The XXX_imported.csv and XXX_pending file has these columns added:
 
-:imported_by:
-
- the member who did the import
- 
-:import_mode:
-
- edit, create, delete
- 
-:import_date:
-
- the date and time of the import
- 
-:imported_from:
-
- the filename of the input-source-file
- 
-:error:
-
- the error message (empty in XXX_imported)
- 
-
Index: WAeUP_Doc/NewDocumentation/Makefile
===================================================================
--- WAeUP_Doc/NewDocumentation/Makefile	(revision 3217)
+++ WAeUP_Doc/NewDocumentation/Makefile	(revision 3217)
@@ -0,0 +1,14 @@
+
+# keep .html files up to date (requires GNU make):
+
+
+SOURCES=$(wildcard *.rst)
+TARGETS=$(subst .rst,.html, $(SOURCES))
+
+
+all: ${TARGETS}
+
+
+%.html: %.rst
+	python rst2html.py $< > $@
+
Index: WAeUP_Doc/NewDocumentation/Readme.txt
===================================================================
--- WAeUP_Doc/NewDocumentation/Readme.txt	(revision 3217)
+++ WAeUP_Doc/NewDocumentation/Readme.txt	(revision 3217)
@@ -0,0 +1,27 @@
+The documentation is written in restructured text format. Restructured
+Text (also reStructuredText or rst) is a simple markup
+language. Actually it's plain text with only a few style elements. For
+a full list of restructured text rules and examples see the Quick
+reStructuredText documentation:
+
+http://docutils.sourceforge.net/docs/user/rst/quickref.html
+
+Unfortunately, there is no Windows programme to transform rst code
+directly into html. To see the html result on Windows computers,
+Python has to be installed first. Then the docutils-0.4.zip must be
+downloaded from:
+
+http://waeup.org/Members/henrik/docutils-0.4/view  (1.7 MB)
+
+Unzip the file first. The docutils library is installed by executing
+the 'python install.py' command within the docutils-0.4
+directory. Finally the command 'rst2html [rst filename without
+extension]' will produce the html file which can be seen in any
+browser.
+
+On Un*x systems like Linux all the HTML-files can be automatically
+generated by entering this directory on the commandline and doing:
+
+	  make
+
+Henrik Bettermann
Index: WAeUP_Doc/NewDocumentation/rst2html.bat
===================================================================
--- WAeUP_Doc/NewDocumentation/rst2html.bat	(revision 3217)
+++ WAeUP_Doc/NewDocumentation/rst2html.bat	(revision 3217)
@@ -0,0 +1,1 @@
+python rst2html.py %1.txt > %1.html
Index: WAeUP_Doc/NewDocumentation/rst2html.py
===================================================================
--- WAeUP_Doc/NewDocumentation/rst2html.py	(revision 3217)
+++ WAeUP_Doc/NewDocumentation/rst2html.py	(revision 3217)
@@ -0,0 +1,25 @@
+#!/usr/bin/env python
+
+# Author: David Goodger
+# Contact: goodger@python.org
+# Revision: $Revision: 3901 $
+# Date: $Date: 2005-09-25 17:49:54 +0200 (Sun, 25 Sep 2005) $
+# Copyright: This module has been placed in the public domain.
+
+"""
+A minimal front end to the Docutils Publisher, producing HTML.
+"""
+
+try:
+    import locale
+    locale.setlocale(locale.LC_ALL, '')
+except:
+    pass
+
+from docutils.core import publish_cmdline, default_description
+
+
+description = ('Generates (X)HTML documents from standalone reStructuredText '
+               'sources.  ' + default_description)
+
+publish_cmdline(writer_name='html', description=description)
Index: WAeUP_Doc/Readme.txt
===================================================================
--- WAeUP_Doc/Readme.txt	(revision 3216)
+++ 	(revision )
@@ -1,27 +1,0 @@
-The documentation is written in restructured text format. Restructured
-Text (also reStructuredText or rst) is a simple markup
-language. Actually it's plain text with only a few style elements. For
-a full list of restructured text rules and examples see the Quick
-reStructuredText documentation:
-
-http://docutils.sourceforge.net/docs/user/rst/quickref.html
-
-Unfortunately, there is no Windows programme to transform rst code
-directly into html. To see the html result on Windows computers,
-Python has to be installed first. Then the docutils-0.4.zip must be
-downloaded from:
-
-http://waeup.org/Members/henrik/docutils-0.4/view  (1.7 MB)
-
-Unzip the file first. The docutils library is installed by executing
-the 'python install.py' command within the docutils-0.4
-directory. Finally the command 'rst2html [rst filename without
-extension]' will produce the html file which can be seen in any
-browser.
-
-On Un*x systems like Linux all the HTML-files can be automatically
-generated by entering this directory on the commandline and doing:
-
-	  make
-
-Henrik Bettermann
Index: WAeUP_Doc/rst2html.bat
===================================================================
--- WAeUP_Doc/rst2html.bat	(revision 3216)
+++ 	(revision )
@@ -1,1 +1,0 @@
-python rst2html.py %1.rst > %1.html
Index: WAeUP_Doc/rst2html.py
===================================================================
--- WAeUP_Doc/rst2html.py	(revision 3216)
+++ 	(revision )
@@ -1,25 +1,0 @@
-#!/usr/bin/env python
-
-# Author: David Goodger
-# Contact: goodger@python.org
-# Revision: $Revision: 3901 $
-# Date: $Date: 2005-09-25 17:49:54 +0200 (Sun, 25 Sep 2005) $
-# Copyright: This module has been placed in the public domain.
-
-"""
-A minimal front end to the Docutils Publisher, producing HTML.
-"""
-
-try:
-    import locale
-    locale.setlocale(locale.LC_ALL, '')
-except:
-    pass
-
-from docutils.core import publish_cmdline, default_description
-
-
-description = ('Generates (X)HTML documents from standalone reStructuredText '
-               'sources.  ' + default_description)
-
-publish_cmdline(writer_name='html', description=description)