Index: WAeUP_Doc/NewDocumentation/ImportNew.html
===================================================================
--- WAeUP_Doc/NewDocumentation/ImportNew.html	(revision 3217)
+++ WAeUP_Doc/NewDocumentation/ImportNew.html	(revision 3218)
@@ -5,5 +5,5 @@
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
-<title>Import of massdata into the portal</title>
+<title>Import of data into the portal</title>
 <style type="text/css">
 
@@ -291,38 +291,101 @@
 </head>
 <body>
-<div class="document" id="import-of-massdata-into-the-portal">
-<h1 class="title">Import of massdata into the portal</h1>
-<h2 class="subtitle" id="general-procedure">General procedure</h2>
-<p>A record is read from the input-source-file and the data is checked. If the
-record can be imported, it is <strong>appended</strong> to the file XXX_imported.csv,
-otherwise it is <strong>inserted</strong> into the file XXX_pending.csv, if no record
-with the exact same date already exists in the XXX_pending.csv. The check is
-done by comparing the md5-digests of the new record with the existing records.</p>
-<p>When doing the import in pending-only-mode the XXX_pending.csv is taken as
-input-source-file and if a record can now be imported it is appended to the
-XXX_imported.csv file and removed from XXX_pending.csv.</p>
-<p><strong>Caveat</strong>:</p>
-<blockquote>
-if an record is inserted into XXX_pending, it will only be removed by
-importing in pending-only-mode. If a new input-file contains a record for
-the same object, with different data, that will not be detected at the
-moment.</blockquote>
-<p>The XXX_imported.csv and XXX_pending file has these columns added:</p>
+<div class="document" id="import-of-data-into-the-portal">
+<h1 class="title">Import of data into the portal</h1>
+<div class="section">
+<h1><a id="general-procedure" name="general-procedure">General procedure</a></h1>
+<p>A record is read from the input source file located in the import folder of the Zope instance. The data format is validated against the import data layout selected. If the record can be imported, it is <strong>appended</strong> to the file [layout]_imported.csv (in the same folder), otherwise it is <strong>inserted</strong> into the file [layout]_pending.csv, if no record with exactly the same data already exists. Technically speaking, the md5-digests of the new record is being compared with the existing records.</p>
+<p>The report files have five additional columns: import_mode, imported_by (the member who did the import), import_date, import_from (input source file name) and error (error message). The pending file can be edited and re-imported by selecting 'pending data only'.</p>
+<p>There following import modes are recognized: edit, create and remove. The latter deletes the whole record. This mode is available for course results only.</p>
+<p>Single fields can be cleared in edit mode by inserting 'XXX' in the respective field. Empty fields are ignored.</p>
+</div>
+<div class="section">
+<h1><a id="the-import-form" name="the-import-form">The import form</a></h1>
 <table class="docutils field-list" frame="void" rules="none">
 <col class="field-name" />
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">imported_by:</th><td class="field-body">the member who did the import</td>
-</tr>
-<tr class="field"><th class="field-name">import_mode:</th><td class="field-body">edit, create, delete</td>
-</tr>
-<tr class="field"><th class="field-name">import_date:</th><td class="field-body">the date and time of the import</td>
-</tr>
-<tr class="field"><th class="field-name">imported_from:</th><td class="field-body">the filename of the input-source-file</td>
-</tr>
-<tr class="field"><th class="field-name">error:</th><td class="field-body">the error message (empty in XXX_imported)</td>
+<tr class="field"><th class="field-name">Filename:</th><td class="field-body">Select the file to be imported. This selct box shows all csv files in the import folder</td>
+</tr>
+<tr class="field"><th class="field-name">Import Layout:</th><td class="field-body">Select the data layout of the import file.</td>
 </tr>
 </tbody>
 </table>
+<p>If the button <strong>Bypass QueueCatalog</strong> is shown, click it!</p>
+<p>Click &quot;Import&quot; to start the import.</p>
+</div>
+<div class="section">
+<h1><a id="verdicts-import" name="verdicts-import">Verdicts import</a></h1>
+<p>The import csv file must have one of these headlines:</p>
+<div class="line-block">
+<div class="line">student_id, current_session, current_level, current_verdict</div>
+<div class="line"><br /></div>
+<div class="line">matric_no, current_session, current_level, current_verdict</div>
+<div class="line"><br /></div>
+<div class="line">student_id,matric_no, current_session, current_level, current_verdict</div>
+</div>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">student_id:</th><td class="field-body">the id of the student</td>
+</tr>
+<tr class="field"><th class="field-name">matric_no:</th><td class="field-body">The student's matriculation number.
+If student_id and matric_no are specified, it is checked, if the student_id
+and matric_no belong to the same student.</td>
+</tr>
+<tr class="field"><th class="field-name" colspan="2">current_session:</th></tr>
+<tr><td>&nbsp;</td><td class="field-body">The session key (e.g. 6) or session string (e.g. 2006/2007) the verdict refers to.</td>
+</tr>
+<tr class="field"><th class="field-name">current_level:</th><td class="field-body">The level key the verdict refers to. On probation levels must be specified as
+level number + 10 or +20 (e.g. 110 for students on first probation).</td>
+</tr>
+<tr class="field"><th class="field-name" colspan="2">current_verdict:</th></tr>
+<tr><td>&nbsp;</td><td class="field-body">The verdict key from the vocabulary <em>verdicts</em>.</td>
+</tr>
+</tbody>
+</table>
+<p>Example file:</p>
+<pre class="literal-block">
+matric_no, current_session, current_level,current_verdict
+MGS0602342,06,200,B
+MGS0602346,06,200,A
+MGS0602350,06,200,B
+MGS0602360,06,200,A
+MGS0602375,06,200,B
+MGS0602388,06,200,A
+MGS0602390,06,200,A
+MGS0603494,06,200,B
+</pre>
+</div>
+<div class="section">
+<h1><a id="logging-messages" name="logging-messages">Logging messages</a></h1>
+<p>Start message</p>
+<div class="line-block">
+<div class="line"><br /></div>
+</div>
+<p>Successful import message</p>
+<div class="line-block">
+<div class="line"><br /></div>
+</div>
+<p>Unsuccessful import message</p>
+<div class="line-block">
+<div class="line"><br /></div>
+</div>
+<p>Commit message</p>
+<div class="line-block">
+<div class="line"><br /></div>
+</div>
+<p>Final message</p>
+<div class="line-block">
+<div class="line"><br /></div>
+</div>
+</div>
+<div class="section">
+<h1><a id="error-messages-in-verdicts-pending" name="error-messages-in-verdicts-pending">Error messages in verdicts.pending</a></h1>
+<div class="line-block">
+<div class="line"><br /></div>
+</div>
+</div>
 </div>
 </body>