Index: WAeUP_SRP/fceokene/waeup_custom/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getPaymentsFolderInfo.py	(revision 3240)
+++ WAeUP_SRP/fceokene/waeup_custom/getPaymentsFolderInfo.py	(revision 3242)
@@ -27,7 +27,4 @@
         pass
 
-
-#import logging
-#logger = logging.getLogger('Skins.getPaymentsFolderInfo')
 def cmp_id(a,b):
     s1 = "%(id)s" % a
@@ -66,4 +63,6 @@
 info['reasons'] = next_info['reasons']
 
+# begin customization
+
 if review_state == 'cleared_and_validated':
     info['payment_method'] = "online_payment"
@@ -73,4 +72,6 @@
     info['payment_method'] = "online_payment"
 info['prod_id'] = '83'
+
+# end customization
 
 info['student_name'] = student_record.name
@@ -92,5 +93,5 @@
                                                         payment.date.strftime("%d/%m/%y %H:%M:%S"))
     url = row['url'] = "%s/p%s" % (payments_path,payment.order_id[6:])
-    row['is_requeryable'] = "%s_%s" % (payment.category,payment.session_id) not in paid_fees or str(member) in ('admin',)
+    row['is_requeryable'] = "%s_%s" % (payment.category,payment.session_id) not in paid_fees and payment.type == 'online' or str(member) in ('admin',)
     row['is_approvable'] = is_so and row['is_requeryable'] and payment.category == 'schoolfee' # does not make sense for maitenance
     row['resp_desc'] = payment.resp_desc or 'Payment Process Interrupted'
@@ -114,94 +115,4 @@
     row['is_editable'] = is_so and (row['confirmed'] == 'active')
     payments.append(row)
-# for payment_id,payment in context.objectItems():
-#     row = {}
-#     row['id'] = payment_id
-#     row['title'] = payment.Title()
-#     url = row['url'] = payment.absolute_url()
-#     payment_doc = payment.getContent()
-#     row['type'] = payment_doc.portal_type
-#     review_state = row['review_state'] = wftool.getInfoFor(payment,'review_state',None)
-#     if payment_doc.type_description.startswith('School Fee'):
-#         row['is_approvable'] = is_so and (review_state == "opened") and info['review_state'] == 'cleared_and_validated'
-#     else:
-#         row['is_approvable'] = is_so and (review_state == "opened")
-#     row['is_requeryable'] = False
-#     #set_trace()
-#     row['resp_desc'] = getattr(payment_doc,'resp_desc','no response')
-#     row['trans_ref'] = getattr(payment_doc,'order_id','')
-#     if payment_doc.type_description.startswith('School Fee'):
-#         if (review_state == 'opened' and info['review_state'] in ('cleared_and_validated',) and \
-#             hasattr(payment_doc, 'order_id') and not payment_doc.resp_code) or str(member) in ('admin',):
-#             row['is_requeryable'] = True
-#             row['callback_url'] = "%(url)s/interswitch_cb" % row
-#             href = '%(query_url)s' % info
-#             href += '?transRef=%(trans_ref)s' % row
-#             href += '&prodID=%(prod_id)s' % info
-#             href += '&redirectURL=%(callback_url)s' % row
-#             row['href'] = href
-#     elif payment_doc.type_description.startswith('Hostel'):
-#         if (review_state == 'opened' and \
-#             hasattr(payment_doc, 'order_id') and not payment_doc.resp_code) or str(member) in ('admin','delejason','isouaba'):
-#             row['is_requeryable'] = True
-#             row['callback_url'] = "%(url)s/interswitch_acco_cb" % row
-#             href = '%(query_url)s' % info
-#             href += '?transRef=%(trans_ref)s' % row
-#             href += '&prodID=%(prod_id)s' % info
-#             href += '&redirectURL=%(callback_url)s' % row
-#             row['href'] = href
-#     if (review_state == "closed") and payment_doc.resp_code in ('SC','00','AP','IP',):
-#         row['confirmed'] = 'active'
-#     else:
-#         row['confirmed'] = 'unsuccessful'
-#     row['is_editable'] = is_so and (row['confirmed'] == 'active')
-#     payments.append(row)
-# payments_path = "%s/campus/students/%s/payments" % (context.portal_url.getPortalPath(),student_id)
-# sos = context.portal_catalog(container_path=payments_path)
-# info['is_so'] = is_so
-
-# for so in sos:
-#     row = {}
-#     row['id'] = so.getId
-#     row['title'] = so.Title
-#     url = row['url'] = "%s/%s" % (payments_path,so.getId)
-#     so_doc = context.restrictedTraverse(url,default=None).getContent()
-#     row['type'] = so.portal_type
-#     review_state = row['review_state'] = so.review_state
-#     if so_doc.type_description.startswith('School Fee'):
-#         row['is_approvable'] = is_so and (review_state == "opened") and info['review_state'] in ('cleared_and_validated','returning')
-#     else:
-#         row['is_approvable'] = False    # is_so and (review_state == "opened")
-#     row['is_requeryable'] = False
-#     #set_trace()
-#     row['resp_desc'] = getattr(so_doc,'resp_desc','no response')
-#     row['trans_ref'] = getattr(so_doc,'order_id','')
-#     if so_doc.type_description.startswith('School Fee'):
-#         if (review_state == 'opened' and info['review_state'] in ('cleared_and_validated','returning') and \
-#                                   hasattr(so_doc, 'order_id') and not so_doc.resp_code) or str(member) in ('admin','delejason','isouaba'):
-#             row['is_requeryable'] = True
-#             row['callback_url'] = "%s/payments/%s/interswitch_cb" % (student.absolute_url(),
-#                                                             so.getId)
-#             href = '%(query_url)s' % info
-#             href += '?transRef=%(trans_ref)s' % row
-#             href += '&prodID=%(prod_id)s' % info
-#             href += '&redirectURL=%(callback_url)s' % row
-#             row['href'] = href
-#     elif so_doc.type_description.startswith('Hostel'):
-#         if (review_state == 'opened' and \
-#                                   hasattr(so_doc, 'order_id') and not so_doc.resp_code) or str(member) in ('admin','delejason','isouaba'):
-#             row['is_requeryable'] = True
-#             row['callback_url'] = "%s/payments/%s/interswitch_acco_cb" % (student.absolute_url(),
-#                                                             so.getId)
-#             href = '%(query_url)s' % info
-#             href += '?transRef=%(trans_ref)s' % row
-#             href += '&prodID=%(prod_id)s' % info
-#             href += '&redirectURL=%(callback_url)s' % row
-#             row['href'] = href
-#     if (review_state == "closed") and so_doc.resp_code in ('SC','00','AP','IP',):
-#         row['confirmed'] = 'active'
-#     else:
-#         row['confirmed'] = 'unsuccessful'
-#     row['is_editable'] = is_so and (row['confirmed'] == 'active')
-#     payments.append(row)
 
 payments.sort(cmp_id)