Index: WAeUP_SRP/fceokene/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 3278)
+++ WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 3279)
@@ -59,4 +59,5 @@
   <object name="study_level" meta_type="CPS Layout"/>
   <object name="university" meta_type="CPS Layout"/>
+  <object name="upload" meta_type="CPS Layout"/>
   <object name="waeup_common" meta_type="CPS Layout"/>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml	(revision 3279)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml	(revision 3279)
@@ -0,0 +1,46 @@
+<?xml version="1.0"?>
+<object name="import_data" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+  <widget name="upload_file" meta_type="Disc File Widget">
+    <property name="title">Upload File</property>
+    <property name="fields">
+      <element value="filename"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">Upload File</property>
+    <property name="label_edit">Upload File</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="size_max">0</property>
+    <property name="display_external_editor">False</property>
+  </widget>
+ <widget name="import_layout" meta_type="Select Widget">
+  <property name="title">Import Layout</property>
+  <property name="fields">
+   <element value="import_layout"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Import Layout</property>
+  <property name="label_edit">Import Layout</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_names</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="upload_file" />
+  </row>
+  <row>
+   <cell name="import_layout" />
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/roots/campus/upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/roots/campus/upload.xml	(revision 3279)
+++ WAeUP_SRP/fceokene/profiles/default/roots/campus/upload.xml	(revision 3279)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<object name="upload">
+  <property name="Title">Uploads</property>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 3278)
+++ WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 3279)
@@ -44,4 +44,5 @@
  <object name="study_level" meta_type="CPS Schema"/>
  <object name="university" meta_type="CPS Schema"/>
+ <object name="upload" meta_type="CPS Schema"/>
  <object name="waeup_common" meta_type="CPS Schema"/>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/upload.xml	(revision 3279)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/upload.xml	(revision 3279)
@@ -0,0 +1,9 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="upload" meta_type="CPS Schema">
+  <field name="upload_date" meta_type="CPS DateTime Field"/>
+  <field name="import_layout" meta_type="CPS String Field"/>
+  <field name="filename" meta_type="CPS String Field"/>
+  <field name="uploaded_by" meta_type="CPS String Field"/>
+  <field name="imported_at" meta_type="CPS DateTime Field"/>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/skins.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/skins.xml	(revision 3278)
+++ WAeUP_SRP/fceokene/profiles/default/skins.xml	(revision 3279)
@@ -33,4 +33,6 @@
  <object name="waeup_documents" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_documents"/>
+ <object name="waeup_upload" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_upload"/>
 
  <skin-path name="CPSSkins">
@@ -45,4 +47,5 @@
   <layer name="waeup_academics" insert-after="waeup_custom"/>
   <layer name="waeup_documents" insert-after="waeup_custom"/>
+  <layer name="waeup_upload" insert-after="waeup_custom"/>
   <layer name="waeup_accommodation" insert-after="waeup_custom"/>
   <layer name="waeup_utilities" insert-after="waeup_custom"/>
Index: WAeUP_SRP/fceokene/profiles/default/skins/waeup_upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/skins/waeup_upload.xml	(revision 3279)
+++ WAeUP_SRP/fceokene/profiles/default/skins/waeup_upload.xml	(revision 3279)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<object name="waeup_upload" meta_type="Folder">
+ <property name="title"></property>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/types.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/types.xml	(revision 3278)
+++ WAeUP_SRP/fceokene/profiles/default/types.xml	(revision 3279)
@@ -33,3 +33,5 @@
  <object name="DocumentsFolder" meta_type="CPS Flexible Type Information"/>
  <object name="WAeUPDocument" meta_type="CPS Flexible Type Information"/>
+ <object name="UploadsFolder" meta_type="CPS Flexible Type Information"/>
+ <object name="Upload" meta_type="CPS Flexible Type Information"/>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/types/Upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/types/Upload.xml	(revision 3279)
+++ WAeUP_SRP/fceokene/profiles/default/types/Upload.xml	(revision 3279)
@@ -0,0 +1,40 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<object name="Upload" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">Upload Data</property>
+ <property name="description"></property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">Upload</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addUpload</property>
+ <property name="immediate_view">student_index</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types"/>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">False</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="upload"/>
+ </property>
+ <property name="layouts">
+  <element value="upload"/>
+ </property>
+ <property name="layout_clusters"/>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="upload_view"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/upload_view" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="action_edit" action_id="edit" category="object"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/types/UploadsFolder.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/types/UploadsFolder.xml	(revision 3279)
+++ WAeUP_SRP/fceokene/profiles/default/types/UploadsFolder.xml	(revision 3279)
@@ -0,0 +1,36 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<object name="UploadsFolder" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP Uploads Folder</property>
+ <property name="description"></property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">UploadsFolder</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addUploadsFolder</property>
+ <property name="immediate_view">student_index</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="Upload"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">False</property>
+ <property name="cps_proxy_type">btreefolder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+ </property>
+ <property name="layouts"/>
+ <property name="layout_clusters"/>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="uploads_index"/>
+ <alias from="view" to="uploads_index"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/uploads_index" visible="True">
+  <permission value="View"/>
+ </action>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/workflows.xml	(revision 3278)
+++ WAeUP_SRP/fceokene/profiles/default/workflows.xml	(revision 3279)
@@ -121,4 +121,10 @@
    <bound-workflow workflow_id="waeup_section_wf"/>
   </type>
+  <type type_id="UploadsFolder">
+   <bound-workflow workflow_id="waeup_section_wf"/>
+  </type>
+  <type type_id="Upload">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
   <type type_id="Workspace">
    <bound-workflow workflow_id="workspace_folder_wf"/>