Index: /WAeUP_SRP/base/skins/waeup_epayment/getPaymentInfo.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_epayment/getPaymentInfo.py	(revision 3279)
+++ /WAeUP_SRP/base/skins/waeup_epayment/getPaymentInfo.py	(revision 3280)
@@ -21,21 +21,4 @@
         pass
 
-# request = context.REQUEST
-# mtool = context.portal_membership
-# wf = context.portal_workflow
-# member = mtool.getAuthenticatedMember()
-# member_id = str(member)
-
-# if mtool.isAnonymousUser():
-#     return None
-# info = {}
-# requested_id = context.getStudentId()
-# if requested_id and not context.isStaff() and member_id != requested_id:
-#     logger.info('%s tried to access %s' % (member_id,requested_id))
-#     return None
-# elif context.isStaff():
-#     student_id = requested_id
-# else:
-#     student_id = member_id
 info = context.waeup_tool.getAccessInfo(context)
 student_id = info['student_id']
@@ -44,6 +27,4 @@
 
 
-#students_object = context.portal_url.getPortalObject().campus.students
-#student = getattr(students_object,student_id)
 
 res = context.students_catalog(id = student_id)
@@ -57,14 +38,4 @@
 info['is_online_pmt'] = io = payment.resp_code in ('00','AP','IP')
 info['is_scratchcard_pmt'] = isc =  payment.resp_code == 'SC'
-#set_trace()
-# if isc:
-#     p,b,n = str(payment.order_id).split('-')
-#     batch_object = getattr(context.pins,"%s_%s" % (p,b),None)
-#     if batch_object is None:
-#         info['cost'] = "unknown"
-#     else:
-#         cost = batch_object.getContent().cost
-#         info['cost'] = "%6.2f N" % cost
-#         #info['cost'] = "%6.2f N" % getattr(batch_object.getContent(),'cost',0.0)
 info['is_interrupted'] = ii = payment.resp_code == ''
 info['unknown_code'] = not (io or isc or ii)
Index: /WAeUP_SRP/base/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_epayment/payment_receipt.pt	(revision 3279)
+++ /WAeUP_SRP/base/skins/waeup_epayment/payment_receipt.pt	(revision 3280)
@@ -24,4 +24,8 @@
         </tr>           
         <tr>
+          <td>Matriculation Number:</td>
+          <td tal:content="student/matric_no" />
+        </tr>             
+        <tr>
           <td>Certificate Id:</td>
           <td tal:content="student/course" />
@@ -47,5 +51,7 @@
         <h3>Scratch Card Payment Receipt</h3>
         <br />
-        <table tal:define="student info/student">
+        <table tal:define="student info/student;
+                           pm nocall: info/payment_doc">
+        
         <tr>
           <td width="220px">Name:</td> 
@@ -76,6 +82,10 @@
           <td tal:content="student/department" />
         </tr>             
-        </table>                 
-        <table tal:define="pm nocall: info/payment_doc">
+
+
+        <tr>
+          <td width="220px">Payment Status:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.payment_status.get(pm.status)" /></td>
+        </tr>   
         <tr>
           <td width="220px">Access Code:</td> 
@@ -83,15 +93,29 @@
         </tr>     
         <tr>
-          <td width="220px">Payment Description:</td> 
-          <td><span tal:content="pm/type_description" /></td>
-        </tr>
+          <td width="220px">Payment Type:</td> 
+          
+          <td><span tal:content="python:context.portal_vocabularies.payment_types.get(pm.type)" /></td>
+        </tr>   
         <tr>
-          <td width="220px">Amount (Naira):</td> 
-          <td><span tal:content="pm/amount" /></td>
-        </tr>        
+          <td width="220px">Payment Category:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.payment_categories.get(pm.category)" /></td>
+        </tr>   
+        <tr>
+          <td width="220px">Payment Item:</td> 
+          <td><span tal:content="pm/item" /></td>
+        </tr>       
+        <tr>
+          <td width="220px">Session:</td> 
+          <td><span tal:content="pm/session" /></td>
+        </tr>                   
+     
         <tr>        
           <td width="220px">Transaction Date:</td> 
           <td><span tal:content="python:pm.date.ISO()" /></td>
         </tr>       
+        <tr>
+          <td width="220px">Amount (Naira):</td> 
+          <td><span tal:content="pm/amount" /></td>
+        </tr>   
         <tr>
           <td width="220px">Response Code:</td> 